Problem running gnu tools on AIX

Venkatakrishnan, V V.Venkatakrishnan@channels.usa.xerox.com
Fri Nov 30 11:55:00 GMT 2001


The reason why I used "make" is coz. I downloaded make.3.79.1.tar.z from
http://aixpdslib.seas.ucla.edu/filetools/makenew.html and when I
uncompressed this I got the "make" executable in my /usr/local/bin, which I
assumed would work fine with my makefile.
This is how I did them on cygwin and on my Solaris 8 box.  I simly used the
same command "make" never used "gmake".

I feel this might be coz. of a version mismatch between the tools and the
version of my AIX OS.  Still fishing for the "version" command for AIX.
Any help would be appreciated.


-----Original Message-----
From: J P [ mailto:buttermaker@hotmail.com ]
Sent: Friday, November 30, 2001 2:07 PM
To: V.Venkatakrishnan@channels.usa.xerox.com
Subject: Re: Problem running gnu tools on AIX


i don't know the answer to your version question, but i noticed you used the

command "make" and not "gmake"

double check that the make command in your path points to the gmake. the 
other suggestion i have is to remake gmake as if you have no make. i had to 
add the gmake path to get it for the hpux system i'm using as well as to 
make the gmake as if i had no make since the hpux inherent make is screwy.

HTH

-Josh

*******************
Joh Perlmutter
NOC "intern"
Brandeis University



>From: "Venkatakrishnan, V" <V.Venkatakrishnan@channels.usa.xerox.com>
>To: gcc-help@gcc.gnu.org
>Subject: Problem running gnu tools on AIX
>Date: Fri, 30 Nov 2001 11:37:05 -0500
>
>Hi,
>	I've downloaded the gnu tools binaries...
>gnu c (gcc, c++, g++) AIX 4.3 Version 2.95.2
>gnu make AIX 4.3 Version 3.79.1
>gnu debugger AIX 4.3 Version 5.0
>	from http://aixpdslib.seas.ucla.edu/aixpdslib.html
>	but when I try to run make as follows...
>/usr/local/bin/make ALL...I get these errors.....
>	0509-037 System error - error data is: /usr/local/bin/make
>	0509-023 Symbol fopen64 in ksh is not defined
>	0509-023 Symbol open64 in ksh is not defined
>	0509-023 Symbol lseek64 in ksh is not defined
>	0509-023 Symbol fstat64 in ksh is not defined
>	0509-023 Symbol stat64 in ksh is not defined
>	0509-023 Symbol vfork in ksh is not defined
>	0509-023 Symbol __mod_init in ksh is not defined
>	0509-023 Symbol __crt0v in ksh is not defined
>	0509-026 System error: Cannot runa file that does not have a valid
>format.
>
>similarly running gcc
>/usr/local/bin/gcc source.c results in the following errors...
>	0509-037 System error - error data is: /usr/local/bin/gcc
>	0509-023 Symbol putc_unlocked in ksh is not defined
>	0509-023 Symbol vfork in ksh is not defined
>	0509-023 Symbol __mod_init in ksh is not defined
>	0509-023 Symbol __crt0v in ksh is not defined
>	0509-026 System error: Cannot run a file that dodes not have a valid
>format.
>
>	Could this be because I've downloaded the wrong version for my OS?
>What is the command on AIX to exactly know the version of OS running
>(something similar to "ver" command on Windows).
>	Can someone give me a pointer here?
>
>Regards,
>Venky
>
>
>
>
>
>
>


_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp



More information about the Gcc-help mailing list